Package com.databricks.jdbc.api.impl.streaming

## Enum StreamingBatch.Status

- java.lang.Object
- - java.lang.Enum<StreamingBatch.Status>
  - - com.databricks.jdbc.api.impl.streaming.StreamingBatch.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<StreamingBatch.Status>`

Enclosing class:
  StreamingBatch<T>

    public static enum StreamingBatch.Status
    extends Enum<StreamingBatch.Status>

Batch lifecycle status.

### Enum Constant Summary

Enum Constants
`ERROR`
`FETCHING`
`PENDING`
`READY`
`RELEASED`

### Method Summary

All Methods Static Methods Concrete Methods
`static StreamingBatch.Status` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static StreamingBatch.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PENDING

    public static final StreamingBatch.Status PENDING

#### FETCHING

    public static final StreamingBatch.Status FETCHING

#### READY

    public static final StreamingBatch.Status READY

#### ERROR

    public static final StreamingBatch.Status ERROR

#### RELEASED

    public static final StreamingBatch.Status RELEASED

### Method Detail

#### values

    public static StreamingBatch.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StreamingBatch.Status c : StreamingBatch.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StreamingBatch.Status valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null